# Uses of Interface
java.util.function.IntToLongFunction

Packages that use IntToLongFunction
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of IntToLongFunction in java.util

Methods in java.util with parameters of type IntToLongFunction
Modifier and Type
Method
Description
`static void`
Arrays.`parallelSetAll(long[] array, IntToLongFunction generator)`
Set all elements of the specified array, in parallel, using the provided generator function to compute each element.
`static void`
Arrays.`setAll(long[] array, IntToLongFunction generator)`
Set all elements of the specified array, using the provided generator function to compute each element.

## Uses of IntToLongFunction in java.util.stream

Methods in java.util.stream with parameters of type IntToLongFunction
Modifier and Type
Method
Description
`LongStream`
IntStream.`mapToLong(IntToLongFunction mapper)`
Returns a `LongStream` consisting of the results of applying the given function to the elements of this stream.